#ifndef _Included_ips_audio_alsa_ALSAMixer
#define _Included_ips_audio_alsa_ALSAMixer
#include <stdio.h>
#include <string.h>
#include <jni.h>
#include <stdlib.h>
#include <memory.h>
#include <alsa/asoundlib.h>

#define ARRAY_SIZE(a) (sizeof(a) / sizeof *(a))
#define DEBUG 0

#define MAX_MSG_LEN 2048

#define MAXCARDS 128
#define MAXDEVICES 128



#ifdef __cplusplus
extern "C" {
#endif

JNIEXPORT void JNICALL Java_ips_audio_alsa_ALSAMixer_enumeratePCMDevices(JNIEnv *, jobject,jstring,jstring,jint);
JNIEXPORT void JNICALL Java_ips_audio_alsa_ALSAMixer_enumeratePCMLines(JNIEnv *, jobject,jstring);
JNIEXPORT void JNICALL Java_ips_audio_alsa_ALSAMixer_release(JNIEnv *, jobject);


#ifdef __cplusplus
}
#endif

#endif
